Package: org.codehaus.groovy.syntax

## [Java] Class SyntaxException

- org.codehaus.groovy.syntax.SyntaxException

-     public class SyntaxException
      extends GroovyException

  Base exception indicating a syntax error.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SyntaxException(String message, ASTNode node)`
    `SyntaxException(String message, int startLine, int startColumn)`
    `SyntaxException(String message, int startLine, int startColumn, int endLine, int endColumn)`
    `SyntaxException(String message, Throwable cause, int startLine, int startColumn)`
    `SyntaxException(String message, Throwable cause, int startLine, int startColumn, int endLine, int endColumn)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getEndColumn()` Returns: the end column on which the error occurs
    `` | `public int` | `getEndLine()` Returns: the end line on which the error occurs
    `` | `public int` | `getLine()` Retrieve the line upon which the error occurred.
    `` | `public String` | `getMessage()`
    `` | `public String` | `getOriginalMessage()`
    `` | `public String` | `getSourceLocator()`
    `` | `public int` | `getStartColumn()` Retrieve the column upon which the error occurred.
    `` | `public int` | `getStartLine()` Returns: the line on which the error occurs
    `` | `public void` | `setSourceLocator(String sourceLocator)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyException` | `isFatal, setFatal`

- - ### Constructor Detail

    - #### public SyntaxException(String message, ASTNode node)

    - #### public SyntaxException(String message, int startLine, int startColumn)

    - #### public SyntaxException(String message, int startLine, int startColumn, int endLine, int endColumn)

    - #### public SyntaxException(String message, Throwable cause, int startLine, int startColumn)

    - #### public SyntaxException(String message, Throwable cause, int startLine, int startColumn, int endLine, int endColumn)

  - ### Method Detail

    - #### public int getEndColumn()

      Returns:
        the end column on which the error occurs

    - #### public int getEndLine()

      Returns:
        the end line on which the error occurs

    - #### public int getLine()

      Retrieve the line upon which the error occurred.

      Returns:
        The line.

    - #### @Override
      public String getMessage()

    - #### public String getOriginalMessage()

    - #### public String getSourceLocator()

    - #### public int getStartColumn()

      Retrieve the column upon which the error occurred.

      Returns:
        The column.

    - #### public int getStartLine()

      Returns:
        the line on which the error occurs

    - #### public void setSourceLocator(String sourceLocator)